GDAL-RASTER-WRITE(1)

NAME
gdal-raster-write - Write a raster dataset (pipeline only)

Added in version 3.11.

DESCRIPTION

The write operation is for use in a gdal pipeline only, and writes a raster dataset. This is the last step of a pipeline.

To write a temporary dataset in the middle of a pipeline, use gdal raster materialize.

SYNOPSIS

            * write [OPTIONS] <OUTPUT>
            --------------------------

            Write a raster dataset.

            Positional arguments:
              -o, --output <OUTPUT>                                Output raster dataset [required]

            Options:
              -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed)
              --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated]
              --overwrite                                          Whether overwriting existing output dataset is allowed
                                                                   Mutually exclusive with --append
              --append                                             Append as a subdataset to existing output
                                                                   Mutually exclusive with --overwrite

STANDARD OPTIONS

    -f, --of, --format, --output-format <OUTPUT-FORMAT>
        Which output raster format to use. Allowed values may be given by gdal --formats | grep raster | grep rw | sort

    --co, --creation-option <NAME>=<VALUE>
        Many formats have one or more optional creation options that can be used to control particulars about the file created. For instance, the GeoTIFF driver supports creation options to control compression, and whether the file should be tiled.

        May be repeated.

        The creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Raster drivers format specific documentation for legal creation options for each format.

    --overwrite
        Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

    --append
        Append input raster as a new subdataset to an existing output file. Only works with drivers that support adding subdatasets such as GTiff -- GeoTIFF File Format and GPKG -- GeoPackage raster This also creates the output dataset if it does not exist yet.

EXAMPLES

  Example 1: Write a GeoTIFF file

            $ gdal raster pipeline ... [other commands here] ... ! write out.tif --overwrite

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026